Search Customers by email
curl --request POST \
--url https://api.provider.fiskil.com/auth/v1/customer/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "example@acme-corp.com"
}
'import requests
url = "https://api.provider.fiskil.com/auth/v1/customer/search"
payload = { "email": "example@acme-corp.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'example@acme-corp.com'})
};
fetch('https://api.provider.fiskil.com/auth/v1/customer/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "customerid",
"name": "givenName familyName",
"phoneNumber": "+6141234567890"
}
]
}Consent Flow
Search Customers by email address
POST
/
auth
/
v1
/
customer
/
search
Search Customers by email
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Body
application/json
email of customer
The email address of the end-user trying to authenticate. The API should return any customers that this end-user is associated with. The user may be the owner of the customer or just an authorized contact. For example, the same email may be associated with an individual customer and a business customer. Both customers should be returned.
Response
200 - application/json
Success
Show child attributes
Show child attributes
Was this page helpful?